@REM Routine berechnet verschiedene Zeitfelder und gibt diese als Environment-
@REM variablen zurück (Prefix TIME_). Der Befehl NOW aus dem Resource Kit muß
@REM vorhanden sein! Routine muß mit CALL GETTIME aufgerufen werden.
@REM Variablen:
@REM    TIME_ZEIT          Zeit (z.B.: 17:32)
@REM    TIME_STUNDEN       Stunden (0 bis max. 23)
@REM    TIME_MINUTEN       Minuten (0 bis 59)
@REM    TIME_SEKUNDEN      Sekunden (0 bis 59)
@REM    TIME_SEK_00        Sekunden seit 0:00 Uhr
@REM
@REM Routine wurde von D.Eberth am 22.11.1999 erstellt
@REM
@REM Aenderungen:
@REM    08.05.2002  K.Münch     Anpassung KBA_UGTools V18
@REM    27.01.2005  K.Münch     Anpassung KBA_UGTools NX2
@REM
@ECHO off

FOR /F "tokens=4* delims= " %%i IN ('%~dp0\now.exe') DO SET TIME_ZEIT=%%i
FOR /F "tokens=1,2,3 delims=:" %%i IN ("%TIME_ZEIT%") DO SET TIME_STUNDEN="%%i"& SET TIME_MINUTEN="%%j"& SET TIME_SEKUNDEN="%%k"
SET TIME_STUNDEN=%TIME_STUNDEN:"0=%
SET TIME_STUNDEN=%TIME_STUNDEN:"=%
SET TIME_MINUTEN=%TIME_MINUTEN:"0=%
SET TIME_MINUTEN=%TIME_MINUTEN:"=%
SET TIME_SEKUNDEN=%TIME_SEKUNDEN:"0=%
SET TIME_SEKUNDEN=%TIME_SEKUNDEN:"=%
SET /A TIME_SEK_00=TIME_STUNDEN*3600+TIME_MINUTEN*60+TIME_SEKUNDEN

GOTO :eof
